Xerces-C++ 3.2.4

List of all members
DOMImplementationLS Class Referenceabstract

`#include <xercesc/dom/DOMImplementationLS.hpp>`

Inheritance diagram for DOMImplementationLS:

## Public Types
Public constants
enum | DOMImplementationLSMode { MODE_SYNCHRONOUS = 1 , MODE_ASYNCHRONOUS = 2 }
| Create a synchronous or an asynchronous `DOMLSParser`. More...

## Public Member Functions
Destructor
virtual | ~DOMImplementationLS ()
| Destructor. More...
Functions introduced in DOM Level 3
virtual DOMLSParser * | createLSParser (const DOMImplementationLSMode mode, const XMLCh *const schemaType, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager, XMLGrammarPool *const gramPool=0)=0
| Create a new DOMLSParser. More...
virtual DOMLSSerializer * | createLSSerializer (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
| Create a new DOMLSSerializer. More...
virtual DOMLSInput * | createLSInput (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
| Create a new "empty" DOMLSInput. More...
virtual DOMLSOutput * | createLSOutput (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
| Create a new "empty" LSOutput. More...

## Protected Member Functions
Hidden constructors
| DOMImplementationLS ()

## Detailed Description

`DOMImplementationLS` contains the factory methods for creating Load and Save objects.

An object that implements DOMImplementationLS is obtained by doing a binding specific cast from DOMImplementation to DOMImplementationLS. Implementations supporting the Load and Save feature must implement the DOMImplementationLS interface on whatever object implements the DOMImplementation interface.

Since
  DOM Level 3

## Member Enumeration Documentation

## ◆ DOMImplementationLSMode

enum DOMImplementationLS::DOMImplementationLSMode

Create a synchronous or an asynchronous `DOMLSParser`.

See also
  createLSParser(const DOMImplementationLSMode mode, const XMLCh* const schemaType)

Since
  DOM Level 3

Enumerator
MODE_SYNCHRONOUS |
MODE_ASYNCHRONOUS |

## Constructor & Destructor Documentation

## ◆ DOMImplementationLS()

DOMImplementationLS::DOMImplementationLS | ( |  | ) |
| protected

## ◆ ~DOMImplementationLS()

virtual DOMImplementationLS::~DOMImplementationLS | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ createLSInput()

virtual DOMLSInput * DOMImplementationLS::createLSInput | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |
| pure virtual

Create a new "empty" DOMLSInput.

Returns
  The newly created `DOMLSInput` object.

See also
  DOMLSInput

Since
  DOM Level 3

## ◆ createLSOutput()

virtual DOMLSOutput * DOMImplementationLS::createLSOutput | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |
| pure virtual

Create a new "empty" LSOutput.

Returns
  The newly created `LSOutput` object.

See also
  LSOutput

Since
  DOM Level 3

## ◆ createLSParser()

virtual DOMLSParser * DOMImplementationLS::createLSParser | ( | const DOMImplementationLSMode | mode,
|  | const XMLCh *const | schemaType,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`,
|  | XMLGrammarPool *const | gramPool = `0`
| ) |  |
| pure virtual

Create a new DOMLSParser.

The newly constructed parser may then be configured by means of its DOMConfiguration object, and used to parse documents by means of its parse method.

Parameters

  mode | The mode argument is either `MODE_SYNCHRONOUS` or `MODE_ASYNCHRONOUS`, if mode is `MODE_SYNCHRONOUS` then the `DOMLSParser` that is created will operate in synchronous mode, if it's `MODE_ASYNCHRONOUS` then the `DOMLSParser` that is created will operate in asynchronous mode.
  schemaType | An absolute URI representing the type of the schema language used during the load of a `DOMDocument` using the newly created `DOMLSParser`. Note that no lexical checking is done on the absolute URI. In order to create a `DOMLSParser` for any kind of schema types (i.e. the `DOMLSParser` will be free to use any schema found), use the value `NULL`. Note: For W3C XML Schema [XML Schema Part 1], applications must use the value "http://www.w3.org/2001/XMLSchema". For XML DTD [XML 1.0], applications must use the value "http://www.w3.org/TR/REC-xml". Other Schema languages are outside the scope of the W3C and therefore should recommend an absolute URI in order to use this method.
  manager | Pointer to the memory manager to be used to allocate objects.
  gramPool | The collection of cached grammars.

Returns
  The newly created `DOMLSParser` object. This `DOMLSParser` is either synchronous or asynchronous depending on the value of the `mode` argument.

Exceptions

  DOMException | NOT_SUPPORTED_ERR: Raised if the requested mode or schema type is not supported.

See also
  DOMLSParser

Since
  DOM Level 3

## ◆ createLSSerializer()

virtual DOMLSSerializer * DOMImplementationLS::createLSSerializer | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |
| pure virtual

Create a new DOMLSSerializer.

DOMLSSerializer is used to serialize a DOM tree back into an XML document.

Returns
  The newly created `DOMLSSerializer` object.

See also
  DOMLSSerializer

Since
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMImplementationLS.hpp